Debian Bug report logs - #622720
blcr: please add support for armv7 cpus (armhf)

version graph

Package: src:blcr; Maintainer for src:blcr is Alan Woodland <awoodland@debian.org>;

Reported by: Konstantinos Margaritis <markos@genesi-usa.com>

Date: Thu, 14 Apr 2011 08:27:01 UTC

Severity: important

Tags: confirmed, patch

Fixed in version blcr/0.8.4-1

Done: Alan Woodland <awoodland@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Alan Woodland <awoodland@debian.org>:
Bug#622720; Package src:blcr. (Thu, 14 Apr 2011 08:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Konstantinos Margaritis <markos@genesi-usa.com>:
New Bug report received and forwarded. Copy sent to Alan Woodland <awoodland@debian.org>. (Thu, 14 Apr 2011 08:27:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Konstantinos Margaritis <markos@genesi-usa.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: blcr: please add support for armv7 cpus (armhf)
Date: Thu, 14 Apr 2011 11:21:09 +0000
[Message part 1 (text/plain, inline)]
Source: blcr
Severity: important
Tags: patch

This patch is a backport from the Ubuntu armel package. Debian armhf
uses thumb2 just as Ubuntu armel, so it has the same build problems.
Please consider applying the patch.

Thanks

Konstantinos

-- System Information:
Debian Release: squeeze/sid
Architecture: armhf (armv7l)

Kernel: Linux 2.6.31.14-efikamx (PREEMPT)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
[blcr_armhf.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#622720; Package src:blcr. (Thu, 14 Apr 2011 09:00:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alan Woodland <awoodland@debian.org>:
Extra info received and forwarded to list. (Thu, 14 Apr 2011 09:00:07 GMT) Full text and rfc822 format available.

Message #10 received at 622720@bugs.debian.org (full text, mbox):

From: Alan Woodland <awoodland@debian.org>
To: Konstantinos Margaritis <markos@genesi-usa.com>, 622720@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#622720: blcr: please add support for armv7 cpus (armhf)
Date: Thu, 14 Apr 2011 09:58:19 +0100
tags 622720 +confirmed
tags 622720 +pending
thanks

On 14 April 2011 12:21, Konstantinos Margaritis <markos@genesi-usa.com> wrote:
> Source: blcr
> Severity: important
> Tags: patch
>
> This patch is a backport from the Ubuntu armel package. Debian armhf
> uses thumb2 just as Ubuntu armel, so it has the same build problems.
> Please consider applying the patch.
>
Agreed, I've added this patch to my forthcoming upload.

Alan




Added tag(s) confirmed. Request was from Alan Woodland <awoodland@debian.org> to control@bugs.debian.org. (Thu, 14 Apr 2011 09:00:10 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Alan Woodland <awoodland@debian.org> to control@bugs.debian.org. (Thu, 14 Apr 2011 09:00:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Alan Woodland <awoodland@debian.org>:
Bug#622720; Package src:blcr. (Wed, 28 Sep 2011 15:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Konstantinos Margaritis <markos@genesi-usa.com>:
Extra info received and forwarded to list. Copy sent to Alan Woodland <awoodland@debian.org>. (Wed, 28 Sep 2011 15:21:03 GMT) Full text and rfc822 format available.

Message #19 received at 622720@bugs.debian.org (full text, mbox):

From: Konstantinos Margaritis <markos@genesi-usa.com>
To: Alan Woodland <awoodland@debian.org>
Cc: 622720@bugs.debian.org
Subject: Re: Bug#622720: blcr: please add support for armv7 cpus (armhf)
Date: Wed, 28 Sep 2011 18:19:42 +0300
On 14 April 2011 11:58, Alan Woodland <awoodland@debian.org> wrote:
> tags 622720 +confirmed
> tags 622720 +pending
> thanks
>
> On 14 April 2011 12:21, Konstantinos Margaritis <markos@genesi-usa.com> wrote:
>> Source: blcr
>> Severity: important
>> Tags: patch
>>
>> This patch is a backport from the Ubuntu armel package. Debian armhf
>> uses thumb2 just as Ubuntu armel, so it has the same build problems.
>> Please consider applying the patch.
>>
> Agreed, I've added this patch to my forthcoming upload.

Hi,

any news on this? It's been ~5 months since the bug report.

Regards

Konstantinos




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#622720; Package src:blcr. (Wed, 28 Sep 2011 15:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alan Woodland <awoodland@debian.org>:
Extra info received and forwarded to list. (Wed, 28 Sep 2011 15:27:03 GMT) Full text and rfc822 format available.

Message #24 received at 622720@bugs.debian.org (full text, mbox):

From: Alan Woodland <awoodland@debian.org>
To: Konstantinos Margaritis <markos@genesi-usa.com>
Cc: 622720@bugs.debian.org
Subject: Re: Bug#622720: blcr: please add support for armv7 cpus (armhf)
Date: Wed, 28 Sep 2011 16:24:29 +0100
On 28 September 2011 16:19, Konstantinos Margaritis
<markos@genesi-usa.com> wrote:
> On 14 April 2011 11:58, Alan Woodland <awoodland@debian.org> wrote:
>> tags 622720 +confirmed
>> tags 622720 +pending
>> thanks
>>
>> On 14 April 2011 12:21, Konstantinos Margaritis <markos@genesi-usa.com> wrote:
>>> Source: blcr
>>> Severity: important
>>> Tags: patch
>>>
>>> This patch is a backport from the Ubuntu armel package. Debian armhf
>>> uses thumb2 just as Ubuntu armel, so it has the same build problems.
>>> Please consider applying the patch.
>>>
>> Agreed, I've added this patch to my forthcoming upload.
>
> Hi,
>
> any news on this? It's been ~5 months since the bug report.

This one's slipped me by. The major patch I was working on had
problems that meant it wasn't suitable for release. A 0.8.3 upload is
on my radar, however it basically just rolls all the patches Debian
was running into an official release. I'll try and check it out soon,

Alan




Information forwarded to debian-bugs-dist@lists.debian.org, Alan Woodland <awoodland@debian.org>:
Bug#622720; Package src:blcr. (Wed, 28 Sep 2011 15:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Konstantinos Margaritis <markos@genesi-usa.com>:
Extra info received and forwarded to list. Copy sent to Alan Woodland <awoodland@debian.org>. (Wed, 28 Sep 2011 15:30:03 GMT) Full text and rfc822 format available.

Message #29 received at 622720@bugs.debian.org (full text, mbox):

From: Konstantinos Margaritis <markos@genesi-usa.com>
To: Alan Woodland <awoodland@debian.org>
Cc: 622720@bugs.debian.org
Subject: Re: Bug#622720: blcr: please add support for armv7 cpus (armhf)
Date: Wed, 28 Sep 2011 18:26:57 +0300
On 28 September 2011 18:24, Alan Woodland <awoodland@debian.org> wrote:
> This one's slipped me by. The major patch I was working on had
> problems that meant it wasn't suitable for release. A 0.8.3 upload is
> on my radar, however it basically just rolls all the patches Debian
> was running into an official release. I'll try and check it out soon,

That's fine, thanks

Konstantinos




Reply sent to Alan Woodland <awoodland@debian.org>:
You have taken responsibility. (Wed, 12 Oct 2011 19:03:05 GMT) Full text and rfc822 format available.

Notification sent to Konstantinos Margaritis <markos@genesi-usa.com>:
Bug acknowledged by developer. (Wed, 12 Oct 2011 19:03:05 GMT) Full text and rfc822 format available.

Message #34 received at 622720-close@bugs.debian.org (full text, mbox):

From: Alan Woodland <awoodland@debian.org>
To: 622720-close@bugs.debian.org
Subject: Bug#622720: fixed in blcr 0.8.4-1
Date: Wed, 12 Oct 2011 19:02:21 +0000
Source: blcr
Source-Version: 0.8.4-1

We believe that the bug you reported is fixed in the latest version of
blcr, which is due to be installed in the Debian FTP archive:

blcr-dkms_0.8.4-1_all.deb
  to main/b/blcr/blcr-dkms_0.8.4-1_all.deb
blcr-testsuite_0.8.4-1_amd64.deb
  to main/b/blcr/blcr-testsuite_0.8.4-1_amd64.deb
blcr-util_0.8.4-1_amd64.deb
  to main/b/blcr/blcr-util_0.8.4-1_amd64.deb
blcr_0.8.4-1.debian.tar.gz
  to main/b/blcr/blcr_0.8.4-1.debian.tar.gz
blcr_0.8.4-1.dsc
  to main/b/blcr/blcr_0.8.4-1.dsc
blcr_0.8.4.orig.tar.gz
  to main/b/blcr/blcr_0.8.4.orig.tar.gz
lib32cr0_0.8.4-1_amd64.deb
  to main/b/blcr/lib32cr0_0.8.4-1_amd64.deb
libcr-dbg_0.8.4-1_amd64.deb
  to main/b/blcr/libcr-dbg_0.8.4-1_amd64.deb
libcr-dev_0.8.4-1_amd64.deb
  to main/b/blcr/libcr-dev_0.8.4-1_amd64.deb
libcr0_0.8.4-1_amd64.deb
  to main/b/blcr/libcr0_0.8.4-1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 622720@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Alan Woodland <awoodland@debian.org> (supplier of updated blcr package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 12 Oct 2011 12:55:23 +0100
Source: blcr
Binary: blcr-util blcr-testsuite blcr-dkms libcr0 libcr-dbg lib32cr0 libcr-dev
Architecture: source all amd64
Version: 0.8.4-1
Distribution: unstable
Urgency: low
Maintainer: Alan Woodland <awoodland@debian.org>
Changed-By: Alan Woodland <awoodland@debian.org>
Description: 
 blcr-dkms  - DKMS support for BLCR kernel module
 blcr-testsuite - Userspace tools to Checkpoint and Restart Linux processes
 blcr-util  - Userspace tools to Checkpoint and Restart Linux processes
 lib32cr0   - (32bit) Libraries to Checkpoint and Restart Linux processes
 libcr-dbg  - Libraries to Checkpoint and Restart Linux processes
 libcr-dev  - Development files for BLCR
 libcr0     - Libraries to Checkpoint and Restart Linux processes
Closes: 614560 622720 628871
Changes: 
 blcr (0.8.4-1) unstable; urgency=low
 .
   * Update to upstream 0.8.4 release
     - Includes 01_fix_recent.diff, 02_fix_i386_on_amd64.diff, 03_fix_2.6.32,
                06_ubuntu_linux-rt_support 08_fix_to_2.6.34
     - Adds support for kernels upto and including 2.6.38
        (Closes: #614560) LP: #700036
   * blcr-dkms still lacks support for 2.6.39/3.x kernels, but is useful to:
     - Users running newer kernels with stable
     - Users running older kernels with testing/unstable
     - Developers working on support for newer kernels
   * Include armhf patch in Debian (Closes: #622720)
   * Switched linux-headers depends to newer packages (Closes: #628871)
   * Bump standards, no changes needed
Checksums-Sha1: 
 ecd633d2c6ccd65720db5fa1e72069a180f94c79 2092 blcr_0.8.4-1.dsc
 2ed4da89cef49bf87447713299b0cf798f63d2b7 905080 blcr_0.8.4.orig.tar.gz
 f77824b1c25c755e66b6969cddaa3c975d59843f 691349 blcr_0.8.4-1.debian.tar.gz
 3eeef6e596d57edd15e86926e570fa095b02c31d 948340 blcr-dkms_0.8.4-1_all.deb
 13721e439ae6d9ec748be5fa81fea80c0cb7b21d 42948 blcr-util_0.8.4-1_amd64.deb
 fa6b886cdc4686428e4a8574a6381fd8da16b97a 355874 blcr-testsuite_0.8.4-1_amd64.deb
 ccf4c8b855486ee5c90935cd666ad9b145cf2eed 36664 libcr0_0.8.4-1_amd64.deb
 d6cf3527a1ec592fd8d0830a99ac354a6a3e0555 878202 libcr-dbg_0.8.4-1_amd64.deb
 da9c6a0ca27bd67fb41fb97cf31b05875b3a1795 36410 lib32cr0_0.8.4-1_amd64.deb
 716c1ac20fb94873a76533cbdb8beb77da579396 42776 libcr-dev_0.8.4-1_amd64.deb
Checksums-Sha256: 
 6a7d4e033067c058e01124cd6ad2ed90a677ce5aea28966776005b84a6da0d4c 2092 blcr_0.8.4-1.dsc
 d851da66627d9212ac37bc9ea2aba40008ff2dc51d45dbd395ca2e403c3d78cf 905080 blcr_0.8.4.orig.tar.gz
 565b4ff0fd46bb2b6f07058559c16525cbb3bef7356cd6d0db815d845307eac1 691349 blcr_0.8.4-1.debian.tar.gz
 8941aeafbc62654108c0bdd7c25a30f5afb5fdd91850b84bc8660725981ff634 948340 blcr-dkms_0.8.4-1_all.deb
 726e9a035fdf09006e26db6b2b278d6408357d0b931ead12ce4f00ef052ffda3 42948 blcr-util_0.8.4-1_amd64.deb
 4c83316a1d69038af9a5054bc356801895cf4ab41e58d43b570ac74823f406c9 355874 blcr-testsuite_0.8.4-1_amd64.deb
 124cf9b9b9de8f4fffb2dd1410eb676f43cebccd4f5f525c5f36fb59851c49bd 36664 libcr0_0.8.4-1_amd64.deb
 1f6c4282dcb2beafa8585fb303fe17a69bac3e891eee5104dd07a5f1b1fb9d21 878202 libcr-dbg_0.8.4-1_amd64.deb
 4f011a70d9a5d1850b0b02eddfc31710db9f7926dd82d005cfa2f67db037d4fc 36410 lib32cr0_0.8.4-1_amd64.deb
 116a65ba2b1e552b224c3984d1d221b53e27c816871377c76842f30548806e4f 42776 libcr-dev_0.8.4-1_amd64.deb
Files: 
 18045f3598e84c83ab41fa9896afee25 2092 misc optional blcr_0.8.4-1.dsc
 541f535453e92abefb7ad755fd1fb9e0 905080 misc optional blcr_0.8.4.orig.tar.gz
 349401fba0cc8578181ff8b0a4674079 691349 misc optional blcr_0.8.4-1.debian.tar.gz
 650bede70922b4cb96ef49d30afab81b 948340 kernel optional blcr-dkms_0.8.4-1_all.deb
 0083508d90c35ca1e4cc02138505de05 42948 misc optional blcr-util_0.8.4-1_amd64.deb
 0c4f71d17cd32821862ff6097549c3ce 355874 misc optional blcr-testsuite_0.8.4-1_amd64.deb
 d59026d93f0fb7f2ea9851530fd250bc 36664 libs optional libcr0_0.8.4-1_amd64.deb
 9c949b8da72e0cb0d528abcac320d45b 878202 debug extra libcr-dbg_0.8.4-1_amd64.deb
 4da08e0ed2444578c47ef0cad8f8e346 36410 libs optional lib32cr0_0.8.4-1_amd64.deb
 c7c173fef6e6d1aa6c7cb2f327f51c60 42776 libdevel optional libcr-dev_0.8.4-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJOleIcAAoJEFCYAhxwUYB4jB8P/RuqEO/lhYOs4QfE20GGJKJc
/99NJIjghPAvNfI4F27rGvX68t3T9rP6+kMSZOTk8VEC+9Pq6aVHF2hhg4PD6Cjz
LbkjkFuSfPFTn6Qe6sdpfd/qrTEBCLbg43MGmtMNPkcqSsx8nd48daHIRPEf76tl
BQjpFKkAxVTM6Y+nRHbKtwQvwaSAeQu5zwEU2tQBJyapdBC6hgFU4eMfdvvF3Igf
Z8moYpHmf+eDiHS8X0LQCTmC/31FceR9tWb/XB6fhq9tlH/+hKWL4kUf41dTCX6A
ZZwQ2A2Gvi6Ivj1dIEYJIW85ppVhdrEKbbdAdBLeNVw/Vn/cdUZaUxUyVfNX+IIB
dOZMTV/RPpB+jJvVd911oWvmZ1Gqv2mpmDRt9WmMwSF3nv/KSQhehEaGxCU/uJUU
4yP/I5Bnq7zh5SFbNWg7kQgTWFHy6tddwDvMbVzgfYv0wWlHxvIdhi6d3c1N/JcT
iezu18Egz9KlRn5nLvlh7D+vsxvw/F5s13uSTzYX4KZa8D/8N9OSIIk5u9agRQ9d
iFRb1JA7dVc4hC9BSo3nlCX+CY1C2lqZCsYVOO6poEl0iWRaDefJl+L1dEsZCXtt
2gl0lS8I/cZ4AARCjWYhWiW+vhIw7doze6dvwY7e68CzKnd673TfYmuf1d18uVzt
Ktbm6h7g0RTQUMcqiCwo
=UPLq
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 02 Jan 2013 07:26:11 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 06:22:22 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.